<?php

namespace App\Infrastructure\Api\RapidMail;

use App\Framework\DI\Initializer;
use App\Framework\HttpClient\CurlHttpClient;

final readonly class RapidMailClientInitializer
{
    #[Initializer]
    public function __invoke(): RapidMailClient
    {
        return new RapidMailClient(
            new RapidMailConfig(
                username: '3f60a5c15c3d49c631d0e75b7c1090a3859423a7',
                password: '572d25dc36e620f14c89e9c75c02c1f3794ba3c0',

                testMode: true,
            ),
            new CurlHttpClient()
        );
    }
}
